This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 444308 - Lenovo Y410 laptop - no text mode login consoles
Lenovo Y410 laptop - no text mode login consoles
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
9
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-26 18:29 EDT by Charlie Brady
Modified: 2009-07-14 13:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:38:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg.0.log, as requested (26.09 KB, text/plain)
2008-04-27 20:46 EDT, Charlie Brady
no flags Details

  None (edit)
Description Charlie Brady 2008-04-26 18:29:36 EDT
Lenovo Y410 laptop (Intel chipset) FC8 upgraded to FC9 preview via DVD.

Boots up nicely to gnome or KDE, but Ctl-Alt-F1 etc switches only to a
black(-ish) screen, not to a text mode console with login banner. I see in a
process listing that mingetty is running on tty1, tty2 etc.

Rebooting into runlevel 3 gets a text mode login.
Comment 1 Dave Airlie 2008-04-27 19:28:11 EDT
please attach xorg log file from /var/log/Xorg.0.log
Comment 2 Charlie Brady 2008-04-27 20:46:49 EDT
Created attachment 303928 [details]
Xorg.0.log, as requested
Comment 3 Charlie Brady 2008-04-27 21:08:04 EDT
(In reply to comment #0)
> Lenovo Y410 laptop (Intel chipset) FC8 upgraded to FC9 preview via DVD.
> 
> Boots up nicely to gnome or KDE, but Ctl-Alt-F1 etc switches only to a
> black(-ish) screen, not to a text mode console with login banner. 

This is true only after awake from suspend to RAM. On first bootup, before
login, the text consoles are there. Suspend then wake, and they're gone.
Comment 4 Charlie Brady 2008-04-28 10:16:51 EDT
Thanks Dave. Good luck with the surgery.

I'll have a play with the kernel i915 mode setting stuff you've been working on
to see if that makes any difference (just for fun).

If anyone has any hints as to what to do to debug this, I'm all ears.
Comment 5 Charlie Brady 2008-04-28 22:44:24 EDT
(In reply to comment #4)

> I'll have a play with the kernel i915 mode setting stuff you've been working on
> to see if that makes any difference (just for fun).

Yes, it makes a difference. The kernel says that the option is unrecognised, but
it clearly does make a difference. X login has wierd colours, as do the text
consoles (they're bright green with two verticle blue bars). Unusable.
Comment 6 Bug Zapper 2008-05-14 06:13:52 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-06-09 20:27:58 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 13:38:29 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.